<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */
?>
<!-- google_ad_section_start -->

<article id="post-<?php the_ID(); ?>" <?php // 2013.06.09, cnzhx, comment out, but add a static class after post_class(); ?>class="page hentry">
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
        
		<div class="entry-meta">
			<?php twentyeleven_posted_on(); ?>
            <?php twentyeleven_updated_on(); // post modified date ?>
            <?php if ( function_exists('the_views') ) : ?>
                <br /><span><?php the_views(); ?></span>
            <?php endif; ?>
		</div><!-- .entry-meta -->
        
		<?php if ( comments_open() && ! post_password_required() ) : ?>
			<div class="comments-link">
				<?php // comments_popup_link( '<span class="leave-reply">' . __( 'Reply', 'twentyeleven' ) . '</span>', _x( '1', 'comments number', 'twentyeleven' ), _x( '%', 'comments number', 'twentyeleven' ) );
                    comments_popup_link( 0, _x( '1', 'comments number', 'twentyeleven' ), _x( '%', 'comments number', 'twentyeleven' ) ); ?>
			</div>
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'twentyeleven' ) . '</span>', 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->
	<footer class="entry-meta">
		<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
    
</article><!-- #post-<?php the_ID(); ?> -->
<!-- google_ad_section_end -->
<div id="zshare"></div>